cd "$(git rev-parse --show-toplevel)"

CFLAGS="$CFLAGS -std=c11 -pedantic -Wall -Wextra"
CFLAGS="$CFLAGS -fsanitize=address,undefined"
CFLAGS="$CFLAGS -O0 -ggdb"

mkdir -p build

# Build library
clang $CFLAGS -Ilib -c lib/regex.c -o build/regex.o
ar -crs build/lib.a build/regex.o
